Subject: bug#7291: 24.0.50; `non-essential' is incomprehensible

From: Stefan Monnier <[email-masked]>
Date: Fri, 29 Oct 2010 12:03:03 -0400

>> Honestly, I can't think of any way someone who has the least bit of
>> familiarity with Elisp can wonder "whether `non-essential'=nil or
>> `non-essential'=t means performing a non-essential task (whatever that
>> in turn might mean)".
> The variable is badly named.  It should be using a positive form, like
> allow-whatever.

`allow-whatever' does strike me as being any better.
Any other suggestion?

        Stefan